#ifndef DEBUG_H
#define DEBUG_H

#include "QtGui"

/**
class debug

----------- Dieses debug.h hat kein zughriges .cpp File! --------------

Diese Datei beinhaltet die ntigen Funktionen, um den Messagehandler fr die Debugfunktionen auf ein eigenes Text-widget umzuleiten.

@version 1.0

@author Torben Dannhauer
@date 2008
*/

/**
* Pointer auf den TextEdit, in dem die Debugmeldungen erscheinen, sofern die Debug-Meldungen in den Settings aktiviert sind.
*/
QTextEdit *deb;


/**
* Diese Funktion setzt den Debug-eigenen Pointer fr das Ausgabe-Widget
* @return void
* @param deb_ : Pointer auf ein Textfeld, auf dem die Debugmeldungen ab jetzt ausgegeben werden sollen.
*/
void setDebugPointer( QTextEdit *deb_ )
{
	deb=deb_;
	deb->resize(500, 700);
}


/**
* Diese Funktion wird vom Debug-MsgHandler fr jede auszugebende Debug-Meldung aufgerufen, nachdem sie in diesen Installiert wurde.
* @return void
* @param type : Typ der DebugMeldung
* @param msg : Auszugebende Debugmeldung
*/
void myMessageOutput(QtMsgType type, const char *msg)
{
	if (deb==0)  {
		deb = new QTextEdit;
		deb->resize(500, 700);
	}
	deb->show();


	if ( deb->isVisible() )
	{
		switch (type) {
			case QtDebugMsg:
				deb->append(QString("<b>Debug:</b> ")+QString(msg));
				break;
			case QtWarningMsg:
				deb->append(QString("<font color=\"blue\"><b>Warning:</b> ")+QString(msg)+QString("</font>"));
				break;
			case QtCriticalMsg:
				deb->append(QString("<font color=\"red\"><b>Critical:</b> ")+QString(msg)+QString("</font>"));
				break;
			case QtFatalMsg:
				QMessageBox::critical(0, "Debug - Fatal", msg);
		} //SwitchENDE
	}
}


#endif // DEBUG_H
